---
title: Social Service Workflow ES
author: Decentralized Climate Foundation
date: 2023-03-15
category: workflow
layout: post
---

## Sobre el Servicio Social 
* La Decentralized Climate Foundation buscará apoyos gubernamentales, becas, estímulos, pasantes, donativos, estudiantes de servicio social, entre otras formas de apoyo para alcanzar sus objetivos
* Los alumnos de servicio social que ingresen a los proyectos de la DCF profundizarán sus conocimientos en tecnologías descentralizadas, apoyarán con labores de documentación, desarrollo de código y actividades de difusión de contenido
* Cada programa de servicio social será planeado, evaluado y votado por el equipo de la DCF antes de enviarse a universidades
* El proyecto considera un apoyo económico mensual al estudiante, el cual cubre los gastos de movilidad

## Rol del Estudiante 

Los estudiantes apoyarán en las siguientes labores:

 * Investigación y desarrollo de Web3, DApps con sitios web estáticos como Jekyll, NextJs, Gatsy y otros modelos de Jamstack
 * Producción, mantenimiento y modificación de sitios web descentralizados e interfaces
 * Investigación y desarrollo de tecnologías basadas en IPFS y su interoperabilidad con Ethereum y plataformas similares de blockchain de tercera generación
 * Creación de código reutilizable para sitios web descentralizados
 * Comprobación rutinaria de la facilidad de uso, la velocidad y otros factores de calidad de los sitios web
 * Registro de los avances diarios en una bitácora conjunta con los miembros de la fundación. Mensualmente será firmada y enviada a su institución educativa

## Rol de la Fundación

Las personas encargadas de los proyectos de Servicio Social deberán: 
*  Asegurar que se respeten los horarios y límites de tiempo 
*  Establecer las tarjetas de trabajo y asignarlas a los estudiantes 
*  Proporcionar capacitación y tutoriales a los alumnos que lo necesiten
*  Revisar las actividades de los alumnos y asegurar su cumplimiento y calidad
*  El personal matutino y vespertino crearán una bitácora  para registrar el avance  de cada estudiante
*  A fin de mes, esta bitácora se enviará como reporte mensual de actividades para las universidades

## Método de Trabajo 

1. Asignación de Evaluador/Maestro 
La fundación asignará a un responsable de llevar el seguimiento de cada estudiante que ingrese, esto les permitirá enfocarse  tareas específicas y evitará que los estudiantes vengan a la oficina sin objetivos claros. 
2. Asignación de Tareas
Los estudiantes participarán en las reuniones de 1 hora de trabajo para conocer y participar en el proceso de asignación de tareas por parte de los desarrolladores. 
3. Cada día los estudiantes llegarán a la oficina e iniciarán con las tarjetas que les hayan sido asignadas. 
4. 


## Técnicas de Trabajo 
### 1. Pomodoro
* La técnica Pomodoro consiste en usar un temporizador para dividir el trabajo en bloques de tiempo enfocados (generalmente 25 minutos) separados por un breve descanso, generalmente de cinco minutos.
* Después de cuatro bloques de tiempo de trabajo consecutivos, se toma un descanso más largo, alrededor de 20 o 30 minutos.
* Cada bloque de trabajo de 25 minutos se llama “pomodoro”. Si sientes la necesidad de hacer algo diferente al trabajo durante un período de concentración, anótalo. Con el tiempo, te entrenarás para ser más productivo durante cada pomodoro.
* Los beneficios de la técnica Pomodoro provienen de los descansos frecuentes, que ayudan a que tu mente se mantenga fresca. Los bloqueos de tiempo enfocados también te obligan a cumplir con límites fijos, por lo que te animará a completar una tarea más rápidamente o, en el caso de una tarea grande, extenderla en varios pomodoros.


![Comprehensive Markdown Crash Course](/assets/socialserv/socialserv-workflow/thePomodoroTechnique.jpg)


#### Herramientas
 [Pomofocus.io](https://pomofocus.io/)
 
### 2. Pair Programming 
La programación en parejas es una técnica de desarrollo de software en la que dos programadores trabajan juntos en una misma estación de trabajo. Uno, el conductor, escribe el código mientras el otro, el observador o navegante, revisa cada línea de código a medida que se escribe. Los dos programadores intercambian sus papeles con frecuencia.



En esencia, hay dos roles en el Pair Programming:

* El **driver o controlador** es el programador encargado de escribir el código y determinar qué funciones, variables y algoritmos utilizarán para avanzar en el proyecto. Además, es importante que verbalice y comparta su proceso lógico mientras codea.
* El **navigator o navegador** es la persona encargada de revisar el código y guiar a su compañero ofreciendo sugerencias y soluciones a medida que la tarea avanza y surgen nuevos desafíos.

![](https://i.imgur.com/jBJBGqO.png)


### 3. Kanban
Kanban es un popular método de gestión del flujo de trabajo para definir, gestionar y mejorar los servicios que ofrecen trabajo del conocimiento. Le ayuda a visualizar el trabajo, maximizar la eficiencia y mejorar continuamente. El trabajo se representa en tableros Kanban, lo que le permite optimizar la entrega de trabajo en varios equipos y gestionar incluso los proyectos más complejos en un único entorno. 


| Change Management Principles | Service Delivery Principles |  
| -------- | -------- |
| Start With What You Do Now 	     | Focus on Needs and Expectations | 
| Agree to Pursue Incremental, Evolutionary Change 	     | Manage the Work, Not the Workers|
| Encourage Acts of Leadership at All Levels	    | Regularly Review the Network of Services|

![](https://i.imgur.com/cS0i17S.png)

Herramienta 

[Kanboard](https://nextcloud.neetsec.com/index.php/apps/deck/#/board/10)



## Entrega de Apoyo para Transportación 

La fundación otorga un apoyo económico mensual al prestador para  cubrir los gastos de movilidad. Este apoyo se entregará al inicio de las actividades del estudiante y hasta un mes antes de la culminación de su servicio social.



## Horarios de Atención 
Encargado de Turno Matutino: 
Alberto Saavedra
 9am a 1pm 

Encargado de Turno Vespertino (encargado/s)
 2pm a 6pm 

Distribución de horas: 
4 Horas de actividad al día por alumno

## Bitácora de Trabajo

Esta bitácora se llenará diariamente por los estudiante y será supervisada por el encargado del programa de Servicio Social. Se enviará a la universidad del estudiante a fin de mes, acompañada de un resumen de actividades. La bitacora incluirá:

1. Nombre del miembro del equipo que realizó la tarea y los miembros del equipo involucrados.
2. Tareas realizadas durante el día y su estado (completado, en progreso, pendiente, etc)
3. Problemas encontrados y cómo se resolvieron o están siendo abordados.
4. Hora de inicio y finalización de cada tarea y el tiempo total dedicado.
5. Comentarios o notas adicionales sobre el progreso del proyecto, desafíos enfrentados, o cualquier otra información relevante.

### Plantilla para la Bitácora de Trabajo 

Dato: La bitácora se llenará de forma digital y será enviada de forma impresa a las universidades, una copia extra será archivada en la fundación. 

https://hackmd.io/HxjGFZuuTpu7tJLYa2T17A?view


## Datos Generales  de las Universidades

### UNAM 

Programa: APLICACIONES DESCENTRALIZADAS | WEB3
Clave: 2023-5/1163-270
Número de alumnos: 4
Días de servicio social: 4 días de la semana laboral, en horario mixto
Horas disponibles por alumno: 4 Horas diarias (16 horas semanales)

### UAM 

Programa: APLICACIONES DESCENTRALIZADAS | WEB3
Clave: CBI-1622 
Número de alumnos: 4
Días de servicio social: 5 días a la semana, en horario mixto
Horas disponibles por alumno: 4 horas diarias (16 horas semanales)

### LaSalle

Programa: 
Clave:
Número de alumnos: 
Días de servicio social:
Horas disponibles por alumno:
